Skip to main content
GET
List tables

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

created_at__after
string<date-time> | null

Filter by created_at after this instant (ISO 8601).

created_at__before
string<date-time> | null

Filter by created_at before this instant (ISO 8601).

name__contains
string | null

Filter by name (case-insensitive contains).

Maximum string length: 255
owner_user_id
string | null

Filter to tables created by this user.

Maximum string length: 64
limit
integer
default:10

The number of items to return.

Required range: 1 <= x <= 100
order_by
enum<string>
default:created_at
Available options:
id,
created_at,
updated_at,
name,
owner_user_id
order_direction
enum<string>
default:desc
Available options:
asc,
desc
cursor
string | null

Set the cursor to the next or previous page. You can get the cursor from the previous page's response.

Response

Successful Response

data
TableReadSchema · object[]

The list of ResponseItems.

next_page_cursor
string | null

The cursor to the next page. If there are no more pages, this is None.

previous_page_cursor
string | null

The cursor to the previous page. If there are no previous pages, this is None.